Bug 798520

Summary: [abrt] libreoffice-core-3.4.5.2-5.fc16: cppu::throwException -> getTypeName: SIGSEGV
Product: [Fedora] Fedora Reporter: Jindrich Novy <jnovy>
Component: libreofficeAssignee: Stephan Bergmann <sbergman>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: caolanm, cristian.ciupitu, diego.ml, dtardon, erack, germano.massullo, ltinkl, Maloy832, mauro.risonho, mstahl, pknirsch, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:53549ab31e4ff9f43cf969a1c5f34666529b27b1
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-07 15:48:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: dso_list
none
File: backtrace
none
File: maps
none
LibreOffice "Fatal error" window none

Description Jindrich Novy 2012-02-29 01:55:37 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc obchody_celkem_2011_fifo.csv --splash-pipe=8
comment:        Closing libreoffice spreadsheet
crash_function: getTypeName
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.2.7-1.fc16.x86_64
pid:            28019
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           St 29. únor 2012, 07:38:35 CET
uid:            501
username:       jnovy
xsession_errors: 

backtrace:      Text file, 230444 bytes
dso_list:       Text file, 21157 bytes
maps:           Text file, 79552 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=pucmeloud
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2279
:GPG_AGENT_INFO=/tmp/keyring-Xu0kAH/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=66aa1dde3e221de3fc38ed354bd5937a-1330328601.555084-1654315047
:KONSOLE_DBUS_SERVICE=:1.89
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=39845914
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-Xu0kAH
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:SHELL_SESSION_ID=d986450d6e4f4000b88502db40c17b1e
:IMSETTINGS_MODULE=none
:USER=jnovy
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-Xu0kAH/ssh
:COBBLER_SERVER=lab.rhts.englab.brq.redhat.com
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1302,unix/unix:/tmp/.ICE-unix/1302
:USERNAME=jnovy
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/kde4/konsole.desktop
:MC_TMPDIR=/tmp/mc-jnovy
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jnovy/bin
:MAIL=/var/spool/mail/jnovy
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jnovy/fiodane/2012/201191314-prouza-jaroslav/zpracovani
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1298
:LANG=cs_CZ.iso88592
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/2
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignorespace
:SHLVL=4
:XDG_SEAT=seat0
:COLORFGBG=15;0
:HOME=/home/jnovy
:LANGUAGE=
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:MC_SID=25543
:LOGNAME=jnovy
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Jq3qw6mT11,guid=b3cff6add0d2798ccb8523f600000038
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/jnovy
:PROFILEHOME=
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-jnovy-4aOP0v/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

var_log_messages:
:Feb 29 07:38:35 pucmeloud kernel: [91211.417282] soffice.bin[28019]: segfault at 8 ip 00000031f062250c sp 00007fff1b7281c0 error 4 in libuno_cppu.so.3[31f0600000+3a000]
:Feb 29 07:38:37 pucmeloud abrt[28221]: Saved core dump of pid 28019 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-29-07:38:35-28019 (137437184 bytes)
Comment 1 Jindrich Novy 2012-02-29 01:55:42 EST
Created attachment 566470 [details]
File: dso_list
Comment 2 Jindrich Novy 2012-02-29 01:55:44 EST
Created attachment 566471 [details]
File: backtrace
Comment 3 Jindrich Novy 2012-02-29 01:55:47 EST
Created attachment 566472 [details]
File: maps
Comment 4 Caolan McNamara 2012-02-29 05:42:55 EST
reproducible ?
Comment 5 Jindrich Novy 2012-02-29 05:55:59 EST
Seems to be a race condition of some kind. Not always reproducible.
Comment 6 Caolan McNamara 2012-03-05 09:20:29 EST
what are the circumstances under which is is sometimes reproducible ?, is there a certain document involved or does it appear to be unrelated to any given .ods/.xls ?
Comment 7 Jindrich Novy 2012-03-06 04:19:20 EST
What I was doing at the time was that I opened a CSV file and saved is as XLS. Then closed libreoffice.
Comment 8 Eike Rathke 2012-03-07 10:46:09 EST
I wasn't able to reproduce using libreoffice-3.4.5.2-5.fc16

From the attached trace it seems SfxMedium wanted to remove the lockfile for the .csv file and already ucbhelper::Content::getPropertyValue attempted to read from the woods..
Comment 9 Caolan McNamara 2012-03-07 15:48:13 EST
doesn't look like it was any exotic file location, like a temp evolution file. so we're basically clueless here, right ? :-(
Comment 10 Stephan Bergmann 2014-10-27 04:48:18 EDT
*** Bug 1157214 has been marked as a duplicate of this bug. ***
Comment 11 Stephan Bergmann 2014-10-27 05:02:11 EDT
This still leaves me clueless.  Apparently cppu::throwException's

  Mapping uno2cpp(Environment(UNO_LB_UNO), Environment::getCurrent());

calls the Mapping ctor -> uno_getMapping with a null pTo, i.e., the call to

  getCurrent(rtl::OUString const & typeName = rtl::OUString(CPPU_STRINGIFY(CPPU_ENV)))

must have returned null.  Now, even if uno_getCurrentEnvironment added some non-empty currPurpose to pTypeName = "gcc3":

* uno_getEnvironment must have called uno_direct_getEnvironment unmodified, as UNO_ENV_SUBST: is not a set env var.

* For uno_direct_getEnvironment to return with a null *ppEnv, it must call initDefaultEnvironment.

* initDefaultEnvironment extracts "gcc3" from rEnvDcp (ignoring any purpose potentially added in uno_getCurrentEnvironment above), and must go into the else branch ("gcc3" != "uno"), and the call to loadEnv must fail.

* loadEnv("gcc3_uno") loads libgcc3_uno.so relative to libuno_cppu.so.3, and that library is indeed loaded, so unclear to me where something went wrong.
Comment 12 Cristian Ciupitu 2015-04-06 22:19:51 EDT
I'm using libreoffice-calc-4.2.8.2-7.fc20.x86_64 and according to ABRT this bug occurred when I was opening a CSV file while a XLSX was already opened.
Comment 13 Stephan Bergmann 2015-04-07 03:46:40 EDT
...but I assume you're not able to reproduce, are you?
Comment 14 Cristian Ciupitu 2015-04-07 18:11:43 EDT
No, unfortunately I have no idea how to reproduce it.
Comment 15 Stephan Bergmann 2015-08-11 05:03:40 EDT
*** Bug 1252198 has been marked as a duplicate of this bug. ***
Comment 16 Stephan Bergmann 2015-08-11 05:30:29 EDT
*** Bug 1192939 has been marked as a duplicate of this bug. ***
Comment 17 Diego 2015-08-31 08:02:51 EDT
Ok, I think I've found a way to reproduce this and the crash is due to the file being deleted while LibreOffice has it open. This is how I reproduce it in Fedora 21 with Firefox under KDE using Ark:
1) go here: https://www.wholesale.telecomitalia.com/it/catalogo/-/catalogo_aggregator/article/31258?p_r_p_564233524_activePortletId=&_2_WAR_nwscatalogoportlet_activePortlet=false&_2_WAR_nwscatalogoportlet_tab=Coperture&p_r_p_564233524_categoryId=31260&p_r_p_564233524_isList=true
2) download "ADSL su DSLAM Ethernet da Centrale e da Armadio tutte le velocità (file pianificato)" --- other files should crash too, but I've tested with this one
3) in the Firefox dialog select "Open with Ark" and press "OK"
4) click on the file in the just opened Ark window
5) Ark should extract the file in "/tmp/kde-<user>/ark<something>/Copertura pianificata ADSL su DSLAM ETHERNET da Centrale e da Armadio 28-ago-2015.xls" and LibreOffice should open the file
6) close Ark window, the file "/tmp/kde-<user>/ark<something>/Copertura pianificata ADSL su DSLAM ETHERNET da Centrale e da Armadio 28-ago-2015.xls"  and the "ark<something>" directory should get deleted
7) go back to the LibreOffice window and click "File", a "Fatal error" window saying "cannot get environments" should appear; clicking on "OK" will close LibreOffice.

So the problem is caused by the file being deleted while LibreOffice has it open. Don't know if it should be considered a bug, anyhow that's how to always reproduce the problem.
Comment 18 Diego 2015-08-31 08:04:02 EDT
Created attachment 1068622 [details]
LibreOffice "Fatal error" window